# Consent _search

`POST /Consent/_search`

This resource contains the legally binding requirements for any type of healthcare consent. Patient consent may be related to privacy, medical treatment, research, or advance care, like do-not-resuscitate (DNR) orders. 

You can review or retrieve consent information.

> **Supported fields and schema examples**
>
> We support any valid FHIR field. However, we only display fields we’ve defined in our schema, which are usually based on what’s included in the U.S. Core profile. We recommend relying on U.S. Core requirements. 
>
> Our schema examples show the shape and possibility of each FHIR resource; they aren’t code for real-time API calls. We don’t currently recommend copying and pasting these schema examples for your API calls. [Consider reviewing FHIR API actions](/fhir-api-actions) for realistic examples for particular use cases.

### \_search

Query for a patient’s consent details, as documented by one provider. 

> **Flexible FHIR queries, different query parameters**
>
> FHIR queries are a flexible option with parameters to refine your search. The response returns a bundle of resources, known as a `searchset` bundle type. [Learn about bundles and bundle types](https://docs.redoxengine.com/permalink/23Q1Oku3NdxxvwYnQGJVrg) in our FHIR glossary.
>
> We add a `required` label only to query parameters _a FHIR server requires if you query it directly_. Remember that Redox <u>**data on demand**</u> isn’t a FHIR server, and your connection may not be either.
>
> _Query parameters vary between sites._ Work with your connection to find out which query parameters they require for a successful search.

## Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `patient` | Array of string | No | The patient to whom the consent applies |
| `patient.identifier` | Array of string | No | One or more external identifiers for the patient |
| `scope` | Array of string | No | Which of the areas this consent covers |
| `category` | Array of string | No | The category of the consent |
| `organization` | Array of string | No | The custodian organization that manages the consent |
| `verifiedWith` | Array of string | No | Who verified the instruction (Patient, Relative or other Authorized Person). |

## Request example

_Generated from the schema: the values are placeholders, not a real payload._

```bash
curl 'https://api.redoxengine.com/fhir/R4/{destinationSlug}/{environmentFlag}/Consent/_search' \
--request POST \
--header 'Authorization: Bearer $API_TOKEN' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'patient=string' \
--data-urlencode 'patient.identifier=string' \
--data-urlencode 'scope=string' \
--data-urlencode 'category=string' \
--data-urlencode 'organization=string' \
--data-urlencode 'verifiedWith=string'
```

## Responses

### 200

Search results (Bundle)

Response to a Consent search operation. Unless the `_include` parameter is sent, only Consent resources are returned.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: Bundle |
| `type` | string | Yes | Identifies this bundle as a response to a search. Value: searchset |
| `total` | number | Yes | The total number of matches |
| `entry` | Array of Consent or Organization or RelatedPerson or Other | No | A resource matching the search criteria or related to a matching resource |
| `entry[] (Consent).resource` | RedoxConsent or RedoxAdvanceDirectiveConsent | Yes | A record of a healthcare consumer's choices for specific purposes and periods of time. |
| `entry[] (Consent).resource (RedoxConsent).resourceType` | string | Yes | Identifies the type of the resource. Value: Consent |
| `entry[] (Consent).resource (RedoxConsent).status` | string | Yes | Indicates the current state of this consent. Possible values: draft, proposed, active, rejected, inactive, entered-in-error |
| `entry[] (Consent).resource (RedoxConsent).scope` | object | Yes | A selector of the type of consent being presented: ADR, Privacy, Treatment, Research.  This list is now extensible. |
| `entry[] (Consent).resource (RedoxConsent).scope.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Consent).resource (RedoxConsent).scope.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Consent).resource (RedoxConsent).scope.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Consent).resource (RedoxConsent).scope.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Consent).resource (RedoxConsent).category` | Array of object | Yes | A classification of the type of consents found in the statement. This element supports indexing and retrieval of consent statements. |
| `entry[] (Consent).resource (RedoxConsent).category[].coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Consent).resource (RedoxConsent).category[].coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Consent).resource (RedoxConsent).category[].coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Consent).resource (RedoxConsent).category[].text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Consent).resource (RedoxConsent).policyRule` | object | Yes | policyRule is unsupported, but required by FHIR. |
| `entry[] (Consent).resource (RedoxConsent).policyRule.extension` | Array of object | No | Identifies this field as unsupported |
| `entry[] (Consent).resource (RedoxConsent).policyRule.extension[].url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/data-absent-reason |
| `entry[] (Consent).resource (RedoxConsent).policyRule.extension[].valueCode` | string | Yes | The reason a required field is missing. Value: unsupported |
| `entry[] (Consent).resource (RedoxConsent).id` | string | No | The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes. |
| `entry[] (Consent).resource (RedoxConsent).identifier` | Array of object | No | Unique identifier for this copy of the Consent Statement. |
| `entry[] (Consent).resource (RedoxConsent).identifier[].extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Consent).resource (RedoxConsent).identifier[].extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Consent).resource (RedoxConsent).identifier[].extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Consent).resource (RedoxConsent).identifier[].extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Consent).resource (RedoxConsent).identifier[].extension[] (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Consent).resource (RedoxConsent).identifier[].extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Consent).resource (RedoxConsent).identifier[].extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Consent).resource (RedoxConsent).identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Consent).resource (RedoxConsent).identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Consent).resource (RedoxConsent).identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Consent).resource (RedoxConsent).identifier[].extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Consent).resource (RedoxConsent).identifier[].extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Consent).resource (RedoxConsent).identifier[].extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Consent).resource (RedoxConsent).identifier[].extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Consent).resource (RedoxConsent).identifier[].extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Consent).resource (RedoxConsent).identifier[].extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Consent).resource (RedoxConsent).identifier[].extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Consent).resource (RedoxConsent).identifier[].extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Consent).resource (RedoxConsent).identifier[].extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Consent).resource (RedoxConsent).identifier[].extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Consent).resource (RedoxConsent).identifier[].extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Consent).resource (RedoxConsent).identifier[].extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Consent).resource (RedoxConsent).identifier[].extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Consent).resource (RedoxConsent).identifier[].use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `entry[] (Consent).resource (RedoxConsent).identifier[].system` | string | No | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `entry[] (Consent).resource (RedoxConsent).identifier[].value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `entry[] (Consent).resource (RedoxConsent).patient` | object | No | The patient/healthcare consumer to whom this consent applies. Must be a resource of type `Patient`. |
| `entry[] (Consent).resource (RedoxConsent).patient.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Consent).resource (RedoxConsent).organization` | Array of object | No | The custodian organization(s) that manage the consent, and the framework within which it is executed. Must be a resource of type `Organization`. |
| `entry[] (Consent).resource (RedoxConsent).organization[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Consent).resource (RedoxConsent).verification` | Array of object | No | Whether a treatment instruction (e.g. artificial respiration yes or no) was verified with the patient, his/her family or another authorized person. |
| `entry[] (Consent).resource (RedoxConsent).verification[].verified` | boolean | Yes | Has the instruction been verified. |
| `entry[] (Consent).resource (RedoxConsent).verification[].verifiedWith` | object | No | Who verified the instruction (Patient, Relative or other Authorized Person). Must be a resource of type `RelatedPerson`. |
| `entry[] (Consent).resource (RedoxConsent).verification[].verifiedWith.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Consent).resource (RedoxConsent).verification[].verificationDate` | string | No | Date verification was collected. |
| `entry[] (Consent).resource (RedoxConsent).provision` | object | No | An exception to the base policy of this consent. An exception can be an addition or removal of access permissions. |
| `entry[] (Consent).resource (RedoxConsent).provision.period` | object | No | The timeframe in this rule is valid. |
| `entry[] (Consent).resource (RedoxConsent).provision.period.start` | string | No | The start of the period. The boundary is inclusive. |
| `entry[] (Consent).resource (RedoxConsent).provision.period.end` | string | No | The end of the period. If the end of the period is missing, it means no end was known or planned at the time the instance was created. The start may be in the past, and the end date in the future, which means that period is expected/planned to end at that time. |
| `entry[] (Consent).resource (RedoxConsent).provision.code` | Array of object | No | If this code is found in an instance, then the rule applies. |
| `entry[] (Consent).resource (RedoxConsent).provision.code[].coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Consent).resource (RedoxConsent).provision.code[].coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Consent).resource (RedoxConsent).provision.code[].coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Consent).resource (RedoxConsent).provision.code[].text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Consent).resource (RedoxConsent).sourceAttachment` | object | No | The source on which this consent statement is based. The source might be a scanned original paper form, or a reference to a consent that links back to such a source, a reference to a document repository (e.g. XDS) that stores the original consent document. |
| `entry[] (Consent).resource (RedoxConsent).sourceAttachment.url` | string | No | A location where the data can be accessed. |
| `entry[] (Consent).resource (RedoxAdvanceDirectiveConsent).resourceType` | string | Yes | Identifies the type of the resource. Value: Consent |
| `entry[] (Consent).resource (RedoxAdvanceDirectiveConsent).status` | string | Yes | Indicates the current state of this consent. Possible values: draft, proposed, active, rejected, inactive, entered-in-error |
| `entry[] (Consent).resource (RedoxAdvanceDirectiveConsent).scope` | object | Yes | A selector of the type of consent being presented: ADR, Privacy, Treatment, Research.  This list is now extensible. |
| `entry[] (Consent).resource (RedoxAdvanceDirectiveConsent).scope.coding` | Array of object | Yes | A reference to a code defined by a terminology system. |
| `entry[] (Consent).resource (RedoxAdvanceDirectiveConsent).scope.coding[].code` | string | Yes | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). Value: adr |
| `entry[] (Consent).resource (RedoxAdvanceDirectiveConsent).scope.coding[].system` | string | Yes | The identification of the code system that defines the meaning of the symbol in the code. Value: http://terminology.hl7.org/CodeSystem/consentscope |
| `entry[] (Consent).resource (RedoxAdvanceDirectiveConsent).scope.coding[].display` | string | Yes | Value: Advanced Care Directive |
| `entry[] (Consent).resource (RedoxAdvanceDirectiveConsent).scope.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Consent).resource (RedoxAdvanceDirectiveConsent).category` | Array of object | Yes | A classification of the type of consents found in the statement. This element supports indexing and retrieval of consent statements. |
| `entry[] (Consent).resource (RedoxAdvanceDirectiveConsent).category[].coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Consent).resource (RedoxAdvanceDirectiveConsent).category[].coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Consent).resource (RedoxAdvanceDirectiveConsent).category[].coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Consent).resource (RedoxAdvanceDirectiveConsent).category[].text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Consent).resource (RedoxAdvanceDirectiveConsent).policyRule` | object | Yes | policyRule is unsupported, but required by FHIR. |
| `entry[] (Consent).resource (RedoxAdvanceDirectiveConsent).policyRule.extension` | Array of object | No | Identifies this field as unsupported |
| `entry[] (Consent).resource (RedoxAdvanceDirectiveConsent).policyRule.extension[].url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/data-absent-reason |
| `entry[] (Consent).resource (RedoxAdvanceDirectiveConsent).policyRule.extension[].valueCode` | string | Yes | The reason a required field is missing. Value: unsupported |
| `entry[] (Consent).resource (RedoxAdvanceDirectiveConsent).id` | string | No | The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes. |
| `entry[] (Consent).resource (RedoxAdvanceDirectiveConsent).identifier` | Array of object | No | Unique identifier for this copy of the Consent Statement. |
| `entry[] (Consent).resource (RedoxAdvanceDirectiveConsent).identifier[].extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Consent).resource (RedoxAdvanceDirectiveConsent).identifier[].extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Consent).resource (RedoxAdvanceDirectiveConsent).identifier[].extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Consent).resource (RedoxAdvanceDirectiveConsent).identifier[].extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Consent).resource (RedoxAdvanceDirectiveConsent).identifier[].extension[] (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Consent).resource (RedoxAdvanceDirectiveConsent).identifier[].extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Consent).resource (RedoxAdvanceDirectiveConsent).identifier[].extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Consent).resource (RedoxAdvanceDirectiveConsent).identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Consent).resource (RedoxAdvanceDirectiveConsent).identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Consent).resource (RedoxAdvanceDirectiveConsent).identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Consent).resource (RedoxAdvanceDirectiveConsent).identifier[].extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Consent).resource (RedoxAdvanceDirectiveConsent).identifier[].extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Consent).resource (RedoxAdvanceDirectiveConsent).identifier[].extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Consent).resource (RedoxAdvanceDirectiveConsent).identifier[].extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Consent).resource (RedoxAdvanceDirectiveConsent).identifier[].extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Consent).resource (RedoxAdvanceDirectiveConsent).identifier[].extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Consent).resource (RedoxAdvanceDirectiveConsent).identifier[].extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Consent).resource (RedoxAdvanceDirectiveConsent).identifier[].extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Consent).resource (RedoxAdvanceDirectiveConsent).identifier[].extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Consent).resource (RedoxAdvanceDirectiveConsent).identifier[].extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Consent).resource (RedoxAdvanceDirectiveConsent).identifier[].extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Consent).resource (RedoxAdvanceDirectiveConsent).identifier[].extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Consent).resource (RedoxAdvanceDirectiveConsent).identifier[].extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Consent).resource (RedoxAdvanceDirectiveConsent).identifier[].use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `entry[] (Consent).resource (RedoxAdvanceDirectiveConsent).identifier[].system` | string | No | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `entry[] (Consent).resource (RedoxAdvanceDirectiveConsent).identifier[].value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `entry[] (Consent).resource (RedoxAdvanceDirectiveConsent).patient` | object | No | The patient/healthcare consumer to whom this consent applies. Must be a resource of type `Patient`. |
| `entry[] (Consent).resource (RedoxAdvanceDirectiveConsent).patient.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Consent).resource (RedoxAdvanceDirectiveConsent).organization` | Array of object | No | The custodian organization(s) that manage the consent, and the framework within which it is executed. Must be a resource of type `Organization`. |
| `entry[] (Consent).resource (RedoxAdvanceDirectiveConsent).organization[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Consent).resource (RedoxAdvanceDirectiveConsent).verification` | Array of object | No | Whether a treatment instruction (e.g. artificial respiration yes or no) was verified with the patient, his/her family or another authorized person. |
| `entry[] (Consent).resource (RedoxAdvanceDirectiveConsent).verification[].verified` | boolean | Yes | Has the instruction been verified. |
| `entry[] (Consent).resource (RedoxAdvanceDirectiveConsent).verification[].verifiedWith` | object | No | Who verified the instruction (Patient, Relative or other Authorized Person). Must be a resource of type `RelatedPerson`. |
| `entry[] (Consent).resource (RedoxAdvanceDirectiveConsent).verification[].verifiedWith.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Consent).resource (RedoxAdvanceDirectiveConsent).verification[].verificationDate` | string | No | Date verification was collected. |
| `entry[] (Consent).resource (RedoxAdvanceDirectiveConsent).provision` | object | No | An exception to the base policy of this consent. An exception can be an addition or removal of access permissions. |
| `entry[] (Consent).resource (RedoxAdvanceDirectiveConsent).provision.period` | object | No | The timeframe in this rule is valid. |
| `entry[] (Consent).resource (RedoxAdvanceDirectiveConsent).provision.period.start` | string | No | The start of the period. The boundary is inclusive. |
| `entry[] (Consent).resource (RedoxAdvanceDirectiveConsent).provision.period.end` | string | No | The end of the period. If the end of the period is missing, it means no end was known or planned at the time the instance was created. The start may be in the past, and the end date in the future, which means that period is expected/planned to end at that time. |
| `entry[] (Consent).resource (RedoxAdvanceDirectiveConsent).provision.code` | Array of object | No | If this code is found in an instance, then the rule applies. |
| `entry[] (Consent).resource (RedoxAdvanceDirectiveConsent).provision.code[].coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Consent).resource (RedoxAdvanceDirectiveConsent).provision.code[].coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Consent).resource (RedoxAdvanceDirectiveConsent).provision.code[].coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Consent).resource (RedoxAdvanceDirectiveConsent).provision.code[].text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Consent).resource (RedoxAdvanceDirectiveConsent).sourceAttachment` | object | No | The source on which this consent statement is based. The source might be a scanned original paper form, or a reference to a consent that links back to such a source, a reference to a document repository (e.g. XDS) that stores the original consent document. |
| `entry[] (Consent).resource (RedoxAdvanceDirectiveConsent).sourceAttachment.url` | string | No | A location where the data can be accessed. |
| `entry[] (Consent).search` | object | Yes | Information about the search process that lead to the creation of this entry. |
| `entry[] (Consent).search.mode` | string | Yes | Identifies the Consent as matching the search parameters. Value: match |
| `entry[] (Organization).resource` | object | Yes | A custodian organization resource |
| `entry[] (Organization).resource.resourceType` | string | Yes | Identifies the type of the resource. Value: Organization |
| `entry[] (Organization).resource.active` | boolean | Yes | Whether the organization's record is still in active use. |
| `entry[] (Organization).resource.name` | string | Yes | A name associated with the organization. |
| `entry[] (Organization).resource.id` | string | No | The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes. |
| `entry[] (Organization).resource.identifier` | Array of NPI or Other | No | Identifier for the organization that is used to identify the organization across multiple disparate systems. |
| `entry[] (Organization).resource.identifier[] (NPI).system` | string | Yes | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. Value: http://hl7.org/fhir/sid/us-npi |
| `entry[] (Organization).resource.identifier[] (NPI).extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Organization).resource.identifier[] (NPI).extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Organization).resource.identifier[] (NPI).extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Organization).resource.identifier[] (NPI).extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Organization).resource.identifier[] (NPI).extension[] (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Organization).resource.identifier[] (NPI).extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Organization).resource.identifier[] (NPI).extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Organization).resource.identifier[] (NPI).extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Organization).resource.identifier[] (NPI).extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Organization).resource.identifier[] (NPI).extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Organization).resource.identifier[] (NPI).extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Organization).resource.identifier[] (NPI).extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Organization).resource.identifier[] (NPI).extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Organization).resource.identifier[] (NPI).extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Organization).resource.identifier[] (NPI).extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Organization).resource.identifier[] (NPI).extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Organization).resource.identifier[] (NPI).extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Organization).resource.identifier[] (NPI).extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Organization).resource.identifier[] (NPI).extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Organization).resource.identifier[] (NPI).extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Organization).resource.identifier[] (NPI).extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Organization).resource.identifier[] (NPI).extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Organization).resource.identifier[] (NPI).extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Organization).resource.identifier[] (NPI).use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `entry[] (Organization).resource.identifier[] (NPI).value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `entry[] (Organization).resource.identifier[] (Other).extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Organization).resource.identifier[] (Other).extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Organization).resource.identifier[] (Other).extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Organization).resource.identifier[] (Other).extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Organization).resource.identifier[] (Other).extension[] (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Organization).resource.identifier[] (Other).extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Organization).resource.identifier[] (Other).extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Organization).resource.identifier[] (Other).extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Organization).resource.identifier[] (Other).extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Organization).resource.identifier[] (Other).extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Organization).resource.identifier[] (Other).extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Organization).resource.identifier[] (Other).extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Organization).resource.identifier[] (Other).extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Organization).resource.identifier[] (Other).extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Organization).resource.identifier[] (Other).extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Organization).resource.identifier[] (Other).extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Organization).resource.identifier[] (Other).extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Organization).resource.identifier[] (Other).extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Organization).resource.identifier[] (Other).extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Organization).resource.identifier[] (Other).extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Organization).resource.identifier[] (Other).extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Organization).resource.identifier[] (Other).extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Organization).resource.identifier[] (Other).extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Organization).resource.identifier[] (Other).use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `entry[] (Organization).resource.identifier[] (Other).system` | string | No | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `entry[] (Organization).resource.identifier[] (Other).value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `entry[] (Organization).resource.type` | Array of object | No | The kind(s) of organization that this is. |
| `entry[] (Organization).resource.type[].coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Organization).resource.type[].coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Organization).resource.type[].coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Organization).resource.type[].text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Organization).resource.telecom` | Array of object | No | A contact detail for the organization. |
| `entry[] (Organization).resource.telecom[].system` | string | No | Telecommunications form for contact point - what communications system is required to make use of the contact. Possible values: phone, fax, email, pager, url, sms, other |
| `entry[] (Organization).resource.telecom[].value` | string | No | The actual contact point details, in a form that is meaningful to the designated communication system (i.e. phone number or email address). |
| `entry[] (Organization).resource.telecom[].use` | string | No | Identifies the purpose for the contact point. Possible values: home, work, temp, old, mobile |
| `entry[] (Organization).resource.address` | Array of object | No | An address for the organization. |
| `entry[] (Organization).resource.address[].line` | Array of string | No | This component contains the house number, apartment number, street name, street direction,  P.O. Box number, delivery hints, and similar address information. |
| `entry[] (Organization).resource.address[].city` | string | No | The name of the city, town, suburb, village or other community or delivery center. |
| `entry[] (Organization).resource.address[].state` | string | No | Sub-unit of a country with limited sovereignty in a federally organized country. A code may be used if codes are in common use (e.g. US 2 letter state codes). |
| `entry[] (Organization).resource.address[].postalCode` | string | No | A postal code designating a region defined by the postal service. |
| `entry[] (Organization).resource.address[].country` | string | No | Country - a nation as commonly understood or generally accepted. |
| `entry[] (Organization).resource.address[].use` | string | No | The purpose of this address. Possible values: home, work, temp, old, billing |
| `entry[] (Organization).resource.address[].district` | string | No | The name of the administrative area (county). |
| `entry[] (Organization).resource.partOf` | object | No | The organization of which this organization forms a part. Must be a resource of type `Organization`. |
| `entry[] (Organization).resource.partOf.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Organization).search` | object | Yes | Information about the search process that lead to the creation of this entry. |
| `entry[] (Organization).search.mode` | string | Yes | Organization is being included because it relates to a matching Consent resource. Value: include |
| `entry[] (RelatedPerson).resource` | object | Yes | A consent verification related person resource |
| `entry[] (RelatedPerson).resource.resourceType` | string | Yes | Identifies the type of the resource. Value: RelatedPerson |
| `entry[] (RelatedPerson).resource.patient` | object | Yes | The patient this person is related to. Must be a resource of type `Patient`. |
| `entry[] (RelatedPerson).resource.patient.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (RelatedPerson).resource.id` | string | No | The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes. |
| `entry[] (RelatedPerson).resource.extension` | Array of spouse or employer or Other | No | May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (RelatedPerson).resource.extension[] (spouse).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: https://fhir.redoxengine.com/StructureDefinition/relatedperson-spouse |
| `entry[] (RelatedPerson).resource.extension[] (spouse).valueHumanName` | object | No | Value of extension - must be one of a constrained set of the data types (see Extensibility for a list). |
| `entry[] (RelatedPerson).resource.extension[] (spouse).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (RelatedPerson).resource.extension[] (spouse).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (RelatedPerson).resource.extension[] (spouse).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (RelatedPerson).resource.extension[] (employer).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: https://fhir.redoxengine.com/StructureDefinition/relatedperson-employer |
| `entry[] (RelatedPerson).resource.extension[] (employer).valueReference` | object | No | Value of extension - must be one of a constrained set of the data types (see Extensibility for a list). |
| `entry[] (RelatedPerson).resource.extension[] (employer).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (RelatedPerson).resource.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (RelatedPerson).resource.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (RelatedPerson).resource.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (RelatedPerson).resource.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (RelatedPerson).resource.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (RelatedPerson).resource.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (RelatedPerson).resource.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (RelatedPerson).resource.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (RelatedPerson).resource.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (RelatedPerson).resource.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (RelatedPerson).resource.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (RelatedPerson).resource.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (RelatedPerson).resource.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (RelatedPerson).resource.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (RelatedPerson).resource.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (RelatedPerson).resource.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (RelatedPerson).resource.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (RelatedPerson).resource.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (RelatedPerson).resource.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (RelatedPerson).resource.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (RelatedPerson).resource.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (RelatedPerson).resource.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (RelatedPerson).resource.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (RelatedPerson).resource.identifier` | Array of object | No | Identifier for a person within a particular scope. |
| `entry[] (RelatedPerson).resource.identifier[].extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (RelatedPerson).resource.identifier[].extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (RelatedPerson).resource.identifier[].extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (RelatedPerson).resource.identifier[].extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (RelatedPerson).resource.identifier[].extension[] (String).valueString` | string | No | A single value for the extension. |
| `entry[] (RelatedPerson).resource.identifier[].extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (RelatedPerson).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (RelatedPerson).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (RelatedPerson).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (RelatedPerson).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (RelatedPerson).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (RelatedPerson).resource.identifier[].extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (RelatedPerson).resource.identifier[].extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (RelatedPerson).resource.identifier[].extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (RelatedPerson).resource.identifier[].extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (RelatedPerson).resource.identifier[].extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (RelatedPerson).resource.identifier[].extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (RelatedPerson).resource.identifier[].extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (RelatedPerson).resource.identifier[].extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (RelatedPerson).resource.identifier[].extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (RelatedPerson).resource.identifier[].extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (RelatedPerson).resource.identifier[].extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (RelatedPerson).resource.identifier[].extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (RelatedPerson).resource.identifier[].use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `entry[] (RelatedPerson).resource.identifier[].system` | string | No | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `entry[] (RelatedPerson).resource.identifier[].value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `entry[] (RelatedPerson).resource.relationship` | Array of object | No | The nature of the relationship between a patient and the related person. |
| `entry[] (RelatedPerson).resource.relationship[].text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (RelatedPerson).resource.name` | Array of object | No | A name associated with the person. |
| `entry[] (RelatedPerson).resource.name[].use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (RelatedPerson).resource.name[].family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (RelatedPerson).resource.name[].given` | Array of string | No | Given name. |
| `entry[] (RelatedPerson).resource.telecom` | Array of object | No | A contact detail for the person, e.g. a telephone number or an email address. |
| `entry[] (RelatedPerson).resource.telecom[].system` | string | No | Telecommunications form for contact point - what communications system is required to make use of the contact. Possible values: phone, fax, email, pager, url, sms, other |
| `entry[] (RelatedPerson).resource.telecom[].value` | string | No | The actual contact point details, in a form that is meaningful to the designated communication system (i.e. phone number or email address). |
| `entry[] (RelatedPerson).resource.telecom[].use` | string | No | Identifies the purpose for the contact point. Possible values: home, work, temp, old, mobile |
| `entry[] (RelatedPerson).resource.gender` | string | No | Administrative Gender - the gender that the person is considered to have for administration and record keeping purposes. Possible values: male, female, other, unknown |
| `entry[] (RelatedPerson).resource.birthDate` | string | No | The date on which the related person was born. |
| `entry[] (RelatedPerson).resource.address` | Array of object | No | Address where the related person can be contacted or visited. |
| `entry[] (RelatedPerson).resource.address[].use` | string | No | The purpose of this address. Possible values: home, work, temp, old, billing |
| `entry[] (RelatedPerson).resource.address[].line` | Array of string | No | This component contains the house number, apartment number, street name, street direction,  P.O. Box number, delivery hints, and similar address information. |
| `entry[] (RelatedPerson).resource.address[].city` | string | No | The name of the city, town, suburb, village or other community or delivery center. |
| `entry[] (RelatedPerson).resource.address[].district` | string | No | The name of the administrative area (county). |
| `entry[] (RelatedPerson).resource.address[].state` | string | No | Sub-unit of a country with limited sovereignty in a federally organized country. A code may be used if codes are in common use (e.g. US 2 letter state codes). |
| `entry[] (RelatedPerson).resource.address[].postalCode` | string | No | A postal code designating a region defined by the postal service. |
| `entry[] (RelatedPerson).resource.address[].country` | string | No | Country - a nation as commonly understood or generally accepted. |
| `entry[] (RelatedPerson).search` | object | Yes | Information about the search process that lead to the creation of this entry. |
| `entry[] (RelatedPerson).search.mode` | string | Yes | RelatedPerson is being included because it relates to a matching Consent resource. Value: include |
| `entry[] (Other).search` | object | Yes | Information about the search process that lead to the creation of this entry. |
| `entry[] (Other).search.mode` | string | No | Why this entry is in the result set - whether it's included as a match or because of an _include requirement, or to convey information or warning information about the search process. Possible values: match, include, outcome - why this is in the result set |

#### When not sending \`\_include\`, only a Consent resource is returned

```json
{
  "resourceType": "Bundle",
  "id": "RedoxConsentSearchBundleExample",
  "type": "searchset",
  "entry": [
    {
      "search": {
        "mode": "match"
      },
      "resource": {
        "resourceType": "Consent",
        "id": "f9dbb2bf-2780-5423-af36-2ad1dc0058be",
        "scope": {
          "coding": [
            {
              "code": "adr",
              "system": "http://terminology.hl7.org/CodeSystem/consentscope",
              "display": "Advanced Care Directive"
            }
          ]
        },
        "identifier": [
          {
            "system": "urn:oid:1.2.840.114350.1.13.12345.1.7.2.798268",
            "value": "6492804"
          }
        ],
        "organization": [
          {
            "reference": "Organization/RedoxAdvanceDirectiveCustodianExample"
          }
        ],
        "status": "inactive",
        "category": [
          {
            "coding": [
              {
                "code": "304251008",
                "system": "http://snomed.info/sct",
                "display": "Resuscitation"
              }
            ]
          }
        ],
        "patient": {
          "reference": "Patient/RedoxPatientExampleTimothy"
        },
        "policyRule": {
          "extension": [
            {
              "url": "http://hl7.org/fhir/StructureDefinition/data-absent-reason",
              "valueCode": "unsupported"
            }
          ]
        },
        "verification": [
          {
            "verified": true,
            "verificationDate": "2012-05-20T05:00:00.000Z",
            "verifiedWith": {
              "reference": "RelatedPerson/RedoxConsentVerifierExample"
            }
          }
        ]
      },
      "fullUrl": "urn:uuid:f9dbb2bf-2780-5423-af36-2ad1dc0058be"
    }
  ],
  "total": 1
}
```

#### When sending \`\_include=Consent:organization,Consent:verification.verifiedWith\`, all consent-related resources will be included. Additional resources may be included by adding \`Consent:patient\`, etc., but those are not demonstrated here.

```json
{
  "resourceType": "Bundle",
  "id": "RedoxConsentSearchBundleFull",
  "type": "searchset",
  "entry": [
    {
      "search": {
        "mode": "match"
      },
      "resource": {
        "resourceType": "Consent",
        "id": "9e5d46c9-5524-5ff3-8d3e-cdaf35c516b6",
        "scope": {
          "coding": [
            {
              "code": "adr",
              "system": "http://terminology.hl7.org/CodeSystem/consentscope",
              "display": "Advanced Care Directive"
            }
          ]
        },
        "identifier": [
          {
            "system": "urn:oid:1.2.840.114350.1.13.12345.1.7.2.798268",
            "value": "6492804"
          }
        ],
        "organization": [
          {
            "reference": "urn:uuid:395070a7-cd6b-5c01-b3fa-4aa927599828"
          }
        ],
        "status": "inactive",
        "category": [
          {
            "coding": [
              {
                "code": "304251008",
                "system": "http://snomed.info/sct",
                "display": "Resuscitation"
              }
            ]
          }
        ],
        "patient": {
          "reference": "Patient/RedoxPatientExampleTimothy"
        },
        "policyRule": {
          "extension": [
            {
              "url": "http://hl7.org/fhir/StructureDefinition/data-absent-reason",
              "valueCode": "unsupported"
            }
          ]
        },
        "verification": [
          {
            "verified": true,
            "verificationDate": "2012-05-20T05:00:00.000Z",
            "verifiedWith": {
              "reference": "urn:uuid:9f723b3f-3967-50c0-8496-31dde2ba0662"
            }
          }
        ]
      },
      "fullUrl": "urn:uuid:9e5d46c9-5524-5ff3-8d3e-cdaf35c516b6"
    },
    {
      "search": {
        "mode": "include"
      },
      "resource": {
        "resourceType": "Organization",
        "id": "395070a7-cd6b-5c01-b3fa-4aa927599828",
        "identifier": [
          {
            "system": "urn:oid:1.2.840.114350.1.13.12345.1.7.3.688884",
            "value": "5984165891"
          }
        ],
        "name": "Example Organization Inc.",
        "active": true,
        "address": [
          {
            "line": [
              "123 North Ave."
            ],
            "city": "Burlington",
            "state": "MA",
            "postalCode": "02368",
            "country": "USA"
          }
        ],
        "telecom": [
          {
            "system": "phone",
            "value": "+18001112222"
          }
        ]
      },
      "fullUrl": "urn:uuid:395070a7-cd6b-5c01-b3fa-4aa927599828"
    },
    {
      "search": {
        "mode": "include"
      },
      "resource": {
        "resourceType": "RelatedPerson",
        "id": "9f723b3f-3967-50c0-8496-31dde2ba0662",
        "identifier": [
          {
            "system": "urn:oid:1.2.840.114350.1.13.12345.1.7.2.698084.23",
            "value": "6429048523"
          }
        ],
        "patient": {
          "reference": "Patient/RedoxPatientExampleTimothy"
        },
        "name": [
          {
            "given": [
              "Malee"
            ],
            "family": "Saetang"
          }
        ]
      },
      "fullUrl": "urn:uuid:9f723b3f-3967-50c0-8496-31dde2ba0662"
    }
  ],
  "total": 1
}
```

### 400

Request could not be processed or failed validation

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: OperationOutcome |
| `issue` | Array of object | Yes | A structured respresentation of the error that occurred |
| `issue[].severity` | string | Yes | Generally `error` or `fatal` Possible values: fatal, error, warning, information |
| `issue[].code` | string | Yes | A FHIR category code that describes the general type of issue. See http://hl7.org/fhir/ValueSet/issue-type for details |
| `issue[].id` | string | No | If the error occurs in the RedoxEngine, this corresponds to an Error record in the organization. |
| `issue[].details` | object | No | Additional details about the error. This may be a text description of the error or a system code that identifies the error. |
| `issue[].details.coding` | Array of object | No | A more granular FHIR code for the specific error. Typically from http://hl7.org/fhir/ValueSet/operation-outcome |
| `issue[].details.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `issue[].details.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `issue[].details.text` | string | No | A human-readable interpretation of the issue code |
| `issue[].diagnostics` | string | No | Additional diagnostic information about the issue. |

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "invalid",
      "details": {
        "coding": [
          {
            "code": "MSG_BAD_SYNTAX",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Invalid content found in request body."
      }
    }
  ]
}
```

### 401

Authorization is required

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "unknown",
      "details": {
        "coding": [
          {
            "code": "MSG_AUTH_REQUIRED",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Invalid authorization token"
      }
    }
  ]
}
```

### 500

Internal server error

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "processing",
      "details": {
        "coding": [
          {
            "code": "MSG_RESOURCE_ID_FAIL",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Unable to allocate resource id."
      }
    }
  ]
}
```

### 503

Service unavailable

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "transient",
      "details": {
        "text": "System is unable to process this message at this time."
      }
    }
  ]
}
```
